Package org.italiangrid.voms.store

# Interface VOMSTrustStoreStatusListener

All Known Implementing Classes:
  `NullListener`

public interface VOMSTrustStoreStatusListener
This interface used to notify interested listeners in status changes of a VOMS trust store.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyCertficateLookupEvent(String dir)`
Informs that certificates are being looked for in the directory passed as argument
`void`
`notifyCertificateLoadEvent(X509Certificate cert, File f)`
Informs that a VOMS AA certificate has been loaded in the store
`void`
`notifyLSCLoadEvent(LSCInfo lsc, File f)`
Informs that VOMS LSC information has been loaded in the store
`void`
`notifyLSCLookupEvent(String dir)`
Informs that VOMS LSC file information is being looked for in the directory passed as argument.

## Method Details

### notifyCertficateLookupEvent

void notifyCertficateLookupEvent(String dir)
Informs that certificates are being looked for in the directory passed as argument

Parameters:
  `dir` - the directory where certificates are being looked for

### notifyLSCLookupEvent

void notifyLSCLookupEvent(String dir)
Informs that VOMS LSC file information is being looked for in the directory passed as argument.

Parameters:
  `dir` - the directory where certificates are being looked for

### notifyCertificateLoadEvent

void notifyCertificateLoadEvent(X509Certificate cert, File f)
Informs that a VOMS AA certificate has been loaded in the store

Parameters:
  `cert` - the VOMS AA certificate loaded
  `f` - the file from which the certificate has been loaded

### notifyLSCLoadEvent

void notifyLSCLoadEvent(LSCInfo lsc, File f)
Informs that VOMS LSC information has been loaded in the store

Parameters:
  `lsc` - the loaded VOMS LSC information
  `f` - the file from which the LSC information has been loaded